## org.plovr
Enum CompilationMode

    java.lang.Object
      java.lang.Enum<CompilationMode>
          org.plovr.CompilationMode

All Implemented Interfaces:
  Serializable, Comparable<CompilationMode>

    public enum CompilationMode

extends Enum<CompilationMode>

`CompilationMode` specifies the values for the "mode" parameter.

Author:
  bolinfest@gmail.com (Michael Bolin)

Enum Constant Summary
`ADVANCED` Advanced optimizations.
`RAW` One script tag per input.
`SIMPLE` Simple optimizations.
`WHITESPACE` Whitespace-only.

Method Summary
`static CompilationMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompilationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RAW

    public static final CompilationMode RAW

  One script tag per input.

### WHITESPACE

    public static final CompilationMode WHITESPACE

  Whitespace-only.

### SIMPLE

    public static final CompilationMode SIMPLE

  Simple optimizations.

### ADVANCED

    public static final CompilationMode ADVANCED

  Advanced optimizations.

Method Detail

### values

    public static CompilationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CompilationMode c : CompilationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CompilationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null